#! Flux2D 11.2


newProject()

lastInstance = TransfRotation3AnglesPivotCoord(name='ROTATION : ROTATING TRANSFORMATION',
                                               coordSys=CoordSys['XY1'],
                                               pivotCoord=['0',
                                               '0'],
                                               rotationAngles=RotationAngles(angleZ='90'))

lastInstance = CoordSysCylindrical(name='CYL_01',
                                   parentCoordSys=Local(coordSys=CoordSys['XY1']),
                                   origin=['0',
                                   '0'],
                                   rotationAngles=RotationAngles())

lastInstance = ParameterGeom(name='INF_RADIUS : RADIUS OF THE INFINITE BOX',
                             expression='100')

lastInstance = ParameterGeom(name='D_INT : INTERNAL DIAMETER OF THE TORE',
                             expression='55')

lastInstance = ParameterGeom(name='D_EXT : EXTERNAL DIAMETER OF THE TORE',
                             expression='60')

lastInstance = ParameterGeom(name='R_MIN',
                             expression='25')

lastInstance = ParameterGeom(name='R_MAX',
                             expression='sqrt(D_INT^2/4+D_EXT^2/4-R_MIN^2)')

lastInstance = ParameterGeom(name='THICKNESS',
                             expression='7')

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                '0'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                'R_MIN'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                'D_INT/2'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                'D_EXT/2'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['0',
                                'R_MAX'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['R_MIN',
                                '0'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['D_INT/2',
                                '0'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['D_EXT/2',
                                '0'],
                                nature=Nature['STANDARD'])

lastInstance = PointCoordinates(color=Color['White'],
                                visibility=Visibility['VISIBLE'],
                                coordSys=CoordSys['XY1'],
                                uvw=['R_MAX',
                                '0'],
                                nature=Nature['STANDARD'])

lastInstance = LineArcPivotPoint(color=Color['White'],
                                 visibility=Visibility['VISIBLE'],
                                 coordSys=CoordSys['XY1'],
                                 defPoint=[Point[6],
                                 Point[2],
                                 Point[1]],
                                 nature=Nature['STANDARD'])

lastInstance = LineArcPivotPoint(color=Color['White'],
                                 visibility=Visibility['VISIBLE'],
                                 coordSys=CoordSys['XY1'],
                                 defPoint=[Point[7],
                                 Point[3],
                                 Point[1]],
                                 nature=Nature['STANDARD'])

lastInstance = LineArcPivotPoint(color=Color['White'],
                                 visibility=Visibility['VISIBLE'],
                                 coordSys=CoordSys['XY1'],
                                 defPoint=[Point[8],
                                 Point[4],
                                 Point[1]],
                                 nature=Nature['STANDARD'])

lastInstance = LineArcPivotPoint(color=Color['White'],
                                 visibility=Visibility['VISIBLE'],
                                 coordSys=CoordSys['XY1'],
                                 defPoint=[Point[9],
                                 Point[5],
                                 Point[1]],
                                 nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[1],
                           Point[2]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[2],
                           Point[3]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[3],
                           Point[4]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[4],
                           Point[5]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[1],
                           Point[6]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[6],
                           Point[7]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[7],
                           Point[8]],
                           nature=Nature['STANDARD'])

lastInstance = LineSegment(color=Color['White'],
                           visibility=Visibility['VISIBLE'],
                           defPoint=[Point[8],
                           Point[9]],
                           nature=Nature['STANDARD'])

buildFaces()

result = FaceAutomatic[ALL].propagate(transformation=Transf['ROTATION'],
                                      repetitionNumber=3,
                                      buildingOption='ADD FACES AND ASSOCIATED LINKED MESH GENERATOR',
                                      regionPropagation='NONE')

lastInstance = InfiniteBoxDisc(DISCOID=['INF_RADIUS',
                               'INF_RADIUS+50'])

buildFaces()

lastInstance = MeshLineArithmetic(name='EP_1',
                                  color=Color['White'],
                                  number=3)

lastInstance = MeshLineArithmetic(name='LG_1',
                                  color=Color['White'],
                                  number=45)

lastInstance = MeshPoint(name='INNER_COIL',
                         lengthUnit=LengthUnit['MILLIMETER'],
                         value='(D_INT/2-R_MIN)/2',
                         color=Color['White'])

lastInstance = MeshPoint(name='OUTER_COIL',
                         lengthUnit=LengthUnit['MILLIMETER'],
                         value='(R_MAX-D_EXT/2)/2',
                         color=Color['White'])

lastInstance = MeshPoint(name='CENTER',
                         lengthUnit=LengthUnit['MILLIMETER'],
                         value='D_INT/2/3',
                         color=Color['White'])

lastInstance = MeshPoint(name='INFINITE',
                         lengthUnit=LengthUnit['MILLIMETER'],
                         value='24',
                         color=Color['White'])

LineSegment[7].assignMeshLine(meshLine=MeshLine['EP_1'])

LineArcPivotPoint[2].assignMeshLine(meshLine=MeshLine['LG_1'])

Face[3].meshGenerator = MeshGenerator['MAPPED']

PointCoordinates[1].assignMeshPoint(meshPoint=MeshPoint['CENTER'])

Point[2, 3, 6, 7, 10, 11, 12, 13].assignMeshPoint(meshPoint=MeshPoint['INNER_COIL'])

PointCoordinates[4, 5, 8, 9, 14, 15, 16, 17].assignMeshPoint(meshPoint=MeshPoint['OUTER_COIL'])

PointCoordinates[2, 3, 6, 7].assignMeshPoint(meshPoint=MeshPoint['INNER_COIL'])

PointInfiniteBox[18, 19, 20, 21, 22, 23, 24, 25].assignMeshPoint(meshPoint=MeshPoint['INFINITE'])

meshDomain()

saveProjectAs('TESTCASE_INI.FLU')

