#! Flux2D 11.2


#executeBatchSpy('solving.py')

# Remplacer le formateur de double
df2 = session.supervisor.getFormaterBuilder().buildIngineerFormaterWithConstantSize(6)
session.supervisor.getFormaterBuilder().setExportFormater(df2)

lastInstance = SensorPredefinedFluxCoilConductor(name='FLUX_BOB2',
                                                 coilConductor=CoilConductor['SECONDARY_COIL'])

PathArcCenterAngle(name='Path_1',
                   coordSys=CoordSys['XY1'],
                   centerCoord=['0',
                   '0'],
                   angle=['0',
                   '359.9'],
                   radius='(D_EXT+D_INT)/4',
                   discretization=50,
                   regionFace='MAGNETIC_CIRCUIT',
                   color=Color['White'],
                   visibility=Visibility['VISIBLE'])

lastInstance = SensorIntegralLine(name='capteur_HL',
                                  spatialFormula='Abs(Comp(2,VLCS(CYL_01,H)))',
                                  integrationType=PlaneIntegration(),
                                  support=SpatialSupportPath(spatialPath=Path['PATH_1']))

lastInstance = VariationParameterFormula(name='H',
                                         formula='CAPTEUR_HL/(2*Pi()*(D_EXT+D_INT)*0.001/4)')

SensorPonctual(name='B_PT',
               spatialFormula='Mod(B)',
               coordSys=CoordSys['XY1'],
               uvw=['0',
               '(D_EXT+D_INT)/4'],
               regionFace='MAGNETIC_CIRCUIT')

SensorPonctual(name='H_PT',
               spatialFormula='Mod(H)',
               coordSys=CoordSys['XY1'],
               uvw=['0',
               '(D_EXT+D_INT)/4'],
               regionFace='MAGNETIC_CIRCUIT')

SensorPonctual(name='A_PT1',
               spatialFormula='An',
               uvw=['0.0',
               'D_INT/2/1000'],
               regionFace='MAGNETIC_CIRCUIT',
               constraint='Point[3]')

SensorPonctual(name='A_PT2',
               spatialFormula='An',
               uvw=['0.0',
               'D_EXT/2/1000'],
               regionFace='MAGNETIC_CIRCUIT',
               constraint='Point[4]')

evaluateSensors()

lastInstance = VariationParameterFormula(name='B_moy',
                                         formula='(A_PT2-A_PT1)/((D_EXT-D_INT)*0.001/2)')

lastInstance = VariationParameterFormula(name='B_via_flux',
                                         formula='FLUX_BOB2/NS/((D_EXT-D_INT)*THICKNESS*1E-6/2)')

EvolutiveCurve2D(name='BHmoy',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ALPHA'],
                 limitMin=0.01,
                 limitMax=1.0)]),
                 formula=['H',
                 'B_MOY'])

EvolutiveCurve2D(name='BH_via_flux',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ALPHA'],
                 limitMin=0.01,
                 limitMax=1.0)]),
                 formula=['H',
                 'B_via_flux'])

EvolutiveCurve2D(name='BH_PONCT',
                 evolutivePath=EvolutivePath(parameterSet=[SetParameterXVariable(paramEvol=VariationParameter['ALPHA'],
                 limitMin=0.01,
                 limitMax=1.0)]),
                 formula=['H_PT',
                 'B_PT'])

CurveVariation2D[ALL].exportTXT(txtFile='result/TestCase_RES.txt',
                                mode='AJOUTER VALEURS')

saveProjectAs('postprocessed.FLU')

